Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfColortable.ColorOffset

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfColortable.ColorOffset

Enclosing class:
  RpfColortable

public static class RpfColortable.ColorOffset
extends java.lang.Object

Field Summary
`int` | `colorElementLength`
`long` | `colorTableOffset`
`int` | `histogramRecordLength`
`long` | `histogramTableOffset`
`long` | `numColorRecords`
`int` | `tableId`

Constructor Summary
`RpfColortable.ColorOffset()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tableId

    public int tableId

### numColorRecords

    public long numColorRecords

### colorElementLength

    public int colorElementLength

### histogramRecordLength

    public int histogramRecordLength

### colorTableOffset

    public long colorTableOffset

### histogramTableOffset

    public long histogramTableOffset

Constructor Detail

### RpfColortable.ColorOffset

    public RpfColortable.ColorOffset()

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details